import { TestRunnerCoreConfig } from '../config/TestRunnerCoreConfig.js';
import { TestRunner } from '../runner/TestRunner.js';
export type MenuType = 'none' | 'overview' | 'focus' | 'debug' | 'manual-debug';
export declare const MENUS: {
    NONE: MenuType;
    OVERVIEW: MenuType;
    FOCUS_SELECT_FILE: MenuType;
    DEBUG_SELECT_FILE: MenuType;
    MANUAL_DEBUG: MenuType;
};
export declare class TestRunnerCli {
    private config;
    private runner;
    private terminal;
    private reportedFilesByTestRun;
    private sessions;
    private activeMenu;
    private menuSucceededAndPendingFiles;
    private menuFailedFiles;
    private testCoverage?;
    private pendingReportPromises;
    private logger;
    private localAddress;
    private lastStaticLog;
    constructor(config: TestRunnerCoreConfig, runner: TestRunner);
    start(): void;
    private setupTerminalEvents;
    private setupRunnerEvents;
    private focusTestFileNr;
    private reportTestResults;
    private reportTestResult;
    private reportTestProgress;
    private reportSyntaxErrors;
    private writeCoverageReport;
    private switchMenu;
    private logSelectFilesMenu;
    logManualDebugMenu(): void;
    private reportEnd;
}
//# sourceMappingURL=TestRunnerCli.d.ts.map