import { StackLocation } from '@web/browser-logs';
export type SourceMapFunction = (loc: StackLocation, userAgent: string) => Promise<StackLocation | null>;
/**
 * Creates a function that can map file path, line an column based on source maps. It maintains a cache of source maps,
 * so that they are not fetched multiple times.
 * @param protocol
 * @param host
 * @param port
 */
export declare function createSourceMapFunction(protocol: string, host: string, port: number): SourceMapFunction;
//# sourceMappingURL=createSourceMapFunction.d.ts.map